Index: nodes/coordinaten.html
===================================================================
--- nodes/coordinaten.html	(revision 2609)
+++ nodes/coordinaten.html	(revision 2753)
@@ -8,5 +8,5 @@
 	<META NAME="GENERATOR" CONTENT="OpenOffice.org 1.1.0  (Linux)">
 	<META NAME="CREATED" CONTENT="20031107;18114700">
-	<META NAME="CHANGED" CONTENT="20040819;16183200">
+	<META NAME="CHANGED" CONTENT="20040908;15070300">
 	
 	<STYLE>
@@ -32,4 +32,13 @@
 		</TR>
 		<TR>
+			<TD HEIGHT=23 ALIGN=LEFT><FONT FACE="Times">4SPRG</FONT></TD>
+			<TD ALIGN=LEFT><FONT FACE="Times">U</FONT></TD>
+			<TD ALIGN=RIGHT SDVAL="94990" SDNUM="1043;"><FONT FACE="Times">94990</FONT></TD>
+			<TD ALIGN=RIGHT SDVAL="464571" SDNUM="1043;"><FONT FACE="Times">464571</FONT></TD>
+			<TD ALIGN=LEFT><FONT FACE="Times"><BR></FONT></TD>
+			<TD ALIGN=LEFT><FONT FACE="Times"><BR></FONT></TD>
+			<TD ALIGN=LEFT><FONT FACE="Times">Basisschool Viersprong, Timorstraat 15</FONT></TD>
+		</TR>
+		<TR>
 			<TD HEIGHT=23 ALIGN=LEFT><FONT FACE="Times">AA24</FONT></TD>
 			<TD ALIGN=LEFT><FONT FACE="Times">A</FONT></TD>
@@ -41,13 +50,4 @@
 		</TR>
 		<TR>
-			<TD HEIGHT=23 ALIGN=LEFT><FONT FACE="Times">4SPRG</FONT></TD>
-			<TD ALIGN=LEFT><FONT FACE="Times">U</FONT></TD>
-			<TD ALIGN=RIGHT SDVAL="94990" SDNUM="1043;"><FONT FACE="Times">94990</FONT></TD>
-			<TD ALIGN=RIGHT SDVAL="464571" SDNUM="1043;"><FONT FACE="Times">464571</FONT></TD>
-			<TD ALIGN=LEFT><FONT FACE="Times"><BR></FONT></TD>
-			<TD ALIGN=LEFT><FONT FACE="Times"><BR></FONT></TD>
-			<TD ALIGN=LEFT><FONT FACE="Times">Basisschool Viersprong, Timorstraat 15</FONT></TD>
-		</TR>
-		<TR>
 			<TD HEIGHT=23 ALIGN=LEFT><FONT FACE="Times">AJSoft</FONT></TD>
 			<TD ALIGN=LEFT><FONT FACE="Times">A</FONT></TD>
@@ -86,4 +86,22 @@
 		</TR>
 		<TR>
+			<TD HEIGHT=23 ALIGN=LEFT><FONT FACE="Times">BibliobusMb</FONT></TD>
+			<TD ALIGN=LEFT><FONT FACE="Times">U</FONT></TD>
+			<TD ALIGN=RIGHT SDVAL="95298" SDNUM="1043;"><FONT FACE="Times">95298</FONT></TD>
+			<TD ALIGN=RIGHT SDVAL="462882" SDNUM="1043;"><FONT FACE="Times">462882</FONT></TD>
+			<TD ALIGN=LEFT><FONT FACE="Times"><BR></FONT></TD>
+			<TD ALIGN=LEFT><FONT FACE="Times"><BR></FONT></TD>
+			<TD ALIGN=LEFT><FONT FACE="Times">OB Bus Meerburg</FONT></TD>
+		</TR>
+		<TR>
+			<TD HEIGHT=23 ALIGN=LEFT><FONT FACE="Times">Bizetpad</FONT></TD>
+			<TD ALIGN=LEFT><FONT FACE="Times">U</FONT></TD>
+			<TD ALIGN=RIGHT SDVAL="92047" SDNUM="1043;"><FONT FACE="Times">92047</FONT></TD>
+			<TD ALIGN=RIGHT SDVAL="462278" SDNUM="1043;"><FONT FACE="Times">462278</FONT></TD>
+			<TD ALIGN=LEFT><FONT FACE="Times"><BR></FONT></TD>
+			<TD ALIGN=LEFT><FONT FACE="Times"><BR></FONT></TD>
+			<TD ALIGN=LEFT><FONT FACE="Times">Speciale basisschool de Wissel, Bizetpad 1</FONT></TD>
+		</TR>
+		<TR>
 			<TD HEIGHT=23 ALIGN=LEFT><FONT FACE="Times">BonaBg</FONT></TD>
 			<TD ALIGN=LEFT><FONT FACE="Times"><BR></FONT></TD>
@@ -95,5 +113,14 @@
 		</TR>
 		<TR>
-			<TD HEIGHT=23 ALIGN=LEFT><FONT FACE="Times">BRUGWW</FONT></TD>
+			<TD HEIGHT=23 ALIGN=LEFT><FONT FACE="Times">Broekplein</FONT></TD>
+			<TD ALIGN=LEFT><FONT FACE="Times">A</FONT></TD>
+			<TD ALIGN=RIGHT SDVAL="94503" SDNUM="1043;"><FONT FACE="Times">94503</FONT></TD>
+			<TD ALIGN=RIGHT SDVAL="466145" SDNUM="1043;"><FONT FACE="Times">466145</FONT></TD>
+			<TD ALIGN=LEFT><FONT FACE="Times"><BR></FONT></TD>
+			<TD ALIGN=LEFT><FONT FACE="Times"><BR></FONT></TD>
+			<TD ALIGN=LEFT><FONT FACE="Times">Tweemaster basisschool, Broekplein 1</FONT></TD>
+		</TR>
+		<TR>
+			<TD HEIGHT=23 ALIGN=LEFT><FONT FACE="Times">Brug</FONT></TD>
 			<TD ALIGN=LEFT><FONT FACE="Times">U</FONT></TD>
 			<TD ALIGN=RIGHT SDVAL="92302" SDNUM="1043;"><FONT FACE="Times">92302</FONT></TD>
@@ -159,5 +186,5 @@
 		<TR>
 			<TD HEIGHT=23 ALIGN=LEFT><FONT FACE="Times">Elisabeth</FONT></TD>
-			<TD ALIGN=LEFT><FONT FACE="Times">Z</FONT></TD>
+			<TD ALIGN=LEFT><FONT FACE="Times">U</FONT></TD>
 			<TD ALIGN=RIGHT SDVAL="93479" SDNUM="1043;"><FONT FACE="Times">93479</FONT></TD>
 			<TD ALIGN=RIGHT SDVAL="464130" SDNUM="1043;"><FONT FACE="Times">464130</FONT></TD>
@@ -168,5 +195,5 @@
 		<TR>
 			<TD HEIGHT=23 ALIGN=LEFT><FONT FACE="Times">Evert</FONT></TD>
-			<TD ALIGN=LEFT><FONT FACE="Times">A</FONT></TD>
+			<TD ALIGN=LEFT><FONT FACE="Times"><BR></FONT></TD>
 			<TD ALIGN=RIGHT SDVAL="94876" SDNUM="1043;"><FONT FACE="Times">94876</FONT></TD>
 			<TD ALIGN=RIGHT SDVAL="462734" SDNUM="1043;"><FONT FACE="Times">462734</FONT></TD>
@@ -375,5 +402,5 @@
 		<TR>
 			<TD HEIGHT=23 ALIGN=LEFT><FONT FACE="Times">Kok</FONT></TD>
-			<TD ALIGN=LEFT><FONT FACE="Times">A</FONT></TD>
+			<TD ALIGN=LEFT><FONT FACE="Times"><BR></FONT></TD>
 			<TD ALIGN=RIGHT SDVAL="93333" SDNUM="1043;"><FONT FACE="Times">93333</FONT></TD>
 			<TD ALIGN=RIGHT SDVAL="464290" SDNUM="1043;"><FONT FACE="Times">464290</FONT></TD>
@@ -384,5 +411,5 @@
 		<TR>
 			<TD HEIGHT=23 ALIGN=LEFT><FONT FACE="Times">LCPL</FONT></TD>
-			<TD ALIGN=LEFT><FONT FACE="Times">U</FONT></TD>
+			<TD ALIGN=LEFT><FONT FACE="Times">A</FONT></TD>
 			<TD ALIGN=RIGHT SDVAL="93040" SDNUM="1043;"><FONT FACE="Times">93040</FONT></TD>
 			<TD ALIGN=RIGHT SDVAL="462475" SDNUM="1043;"><FONT FACE="Times">462475</FONT></TD>
@@ -536,13 +563,4 @@
 		</TR>
 		<TR>
-			<TD HEIGHT=23 ALIGN=LEFT><FONT FACE="Times">Pieterskerk</FONT></TD>
-			<TD ALIGN=LEFT><FONT FACE="Times">U</FONT></TD>
-			<TD ALIGN=RIGHT SDVAL="93507" SDNUM="1043;"><FONT FACE="Times">93507</FONT></TD>
-			<TD ALIGN=RIGHT SDVAL="463643" SDNUM="1043;"><FONT FACE="Times">463643</FONT></TD>
-			<TD ALIGN=LEFT><FONT FACE="Times"><BR></FONT></TD>
-			<TD ALIGN=LEFT><FONT FACE="Times"><BR></FONT></TD>
-			<TD ALIGN=LEFT><FONT FACE="Times">Pieterskerk</FONT></TD>
-		</TR>
-		<TR>
 			<TD HEIGHT=23 ALIGN=LEFT><FONT FACE="Times">Plantsoen 97</FONT></TD>
 			<TD ALIGN=LEFT><FONT FACE="Times">U</FONT></TD>
@@ -572,6 +590,15 @@
 		</TR>
 		<TR>
+			<TD HEIGHT=23 ALIGN=LEFT><FONT FACE="Times">Regenboog</FONT></TD>
+			<TD ALIGN=LEFT><FONT FACE="Times">A</FONT></TD>
+			<TD ALIGN=RIGHT SDVAL="95338" SDNUM="1043;"><FONT FACE="Times">95338</FONT></TD>
+			<TD ALIGN=RIGHT SDVAL="466014" SDNUM="1043;"><FONT FACE="Times">466014</FONT></TD>
+			<TD ALIGN=LEFT><FONT FACE="Times"><BR></FONT></TD>
+			<TD ALIGN=LEFT><FONT FACE="Times"><BR></FONT></TD>
+			<TD ALIGN=LEFT><FONT FACE="Times">Tweemaster basisschool, Regenboogpad 5</FONT></TD>
+		</TR>
+		<TR>
 			<TD HEIGHT=23 ALIGN=LEFT><FONT FACE="Times">Rene</FONT></TD>
-			<TD ALIGN=LEFT><FONT FACE="Times">U</FONT></TD>
+			<TD ALIGN=LEFT><FONT FACE="Times"><BR></FONT></TD>
 			<TD ALIGN=RIGHT SDVAL="96434" SDNUM="1043;"><FONT FACE="Times">96434</FONT></TD>
 			<TD ALIGN=RIGHT SDVAL="464434" SDNUM="1043;"><FONT FACE="Times">464434</FONT></TD>
@@ -626,13 +653,4 @@
 		</TR>
 		<TR>
-			<TD HEIGHT=23 ALIGN=LEFT><FONT FACE="Times">BibliobusMb</FONT></TD>
-			<TD ALIGN=LEFT><FONT FACE="Times">U</FONT></TD>
-			<TD ALIGN=RIGHT SDVAL="95298" SDNUM="1043;"><FONT FACE="Times">95298</FONT></TD>
-			<TD ALIGN=RIGHT SDVAL="462882" SDNUM="1043;"><FONT FACE="Times">462882</FONT></TD>
-			<TD ALIGN=LEFT><FONT FACE="Times"><BR></FONT></TD>
-			<TD ALIGN=LEFT><FONT FACE="Times"><BR></FONT></TD>
-			<TD ALIGN=LEFT><FONT FACE="Times">OB Bus Meerburg</FONT></TD>
-		</TR>
-		<TR>
 			<TD HEIGHT=23 ALIGN=LEFT><FONT FACE="Times">Roomburgh</FONT></TD>
 			<TD ALIGN=LEFT><FONT FACE="Times">U</FONT></TD>
@@ -654,5 +672,5 @@
 		<TR>
 			<TD HEIGHT=43 ALIGN=LEFT><FONT FACE="Times">Rustenborch</FONT></TD>
-			<TD ALIGN=LEFT><FONT FACE="Times">U</FONT></TD>
+			<TD ALIGN=LEFT><FONT FACE="Times">A</FONT></TD>
 			<TD ALIGN=RIGHT SDVAL="91838" SDNUM="1043;"><FONT FACE="Times">91838</FONT></TD>
 			<TD ALIGN=RIGHT SDVAL="466413" SDNUM="1043;"><FONT FACE="Times">466413</FONT></TD>
@@ -716,23 +734,5 @@
 		</TR>
 		<TR>
-			<TD HEIGHT=23 ALIGN=LEFT><FONT FACE="Times">Broekplein</FONT></TD>
-			<TD ALIGN=LEFT><FONT FACE="Times">A</FONT></TD>
-			<TD ALIGN=RIGHT SDVAL="94503" SDNUM="1043;"><FONT FACE="Times">94503</FONT></TD>
-			<TD ALIGN=RIGHT SDVAL="466145" SDNUM="1043;"><FONT FACE="Times">466145</FONT></TD>
-			<TD ALIGN=LEFT><FONT FACE="Times"><BR></FONT></TD>
-			<TD ALIGN=LEFT><FONT FACE="Times"><BR></FONT></TD>
-			<TD ALIGN=LEFT><FONT FACE="Times">Tweemaster basisschool, Broekplein 1</FONT></TD>
-		</TR>
-		<TR>
-			<TD HEIGHT=23 ALIGN=LEFT><FONT FACE="Times">Regenboog</FONT></TD>
-			<TD ALIGN=LEFT><FONT FACE="Times">U</FONT></TD>
-			<TD ALIGN=RIGHT SDVAL="95338" SDNUM="1043;"><FONT FACE="Times">95338</FONT></TD>
-			<TD ALIGN=RIGHT SDVAL="466014" SDNUM="1043;"><FONT FACE="Times">466014</FONT></TD>
-			<TD ALIGN=LEFT><FONT FACE="Times"><BR></FONT></TD>
-			<TD ALIGN=LEFT><FONT FACE="Times"><BR></FONT></TD>
-			<TD ALIGN=LEFT><FONT FACE="Times">Tweemaster basisschool, Regenboogpad 5</FONT></TD>
-		</TR>
-		<TR>
-			<TD HEIGHT=23 ALIGN=LEFT><FONT FACE="Times">UNIGOR</FONT></TD>
+			<TD HEIGHT=23 ALIGN=LEFT><FONT FACE="Times">Unigor</FONT></TD>
 			<TD ALIGN=LEFT><FONT FACE="Times">A</FONT></TD>
 			<TD ALIGN=RIGHT SDVAL="91589" SDNUM="1043;"><FONT FACE="Times">91589</FONT></TD>
@@ -743,4 +743,13 @@
 		</TR>
 		<TR>
+			<TD HEIGHT=23 ALIGN=LEFT><FONT FACE="Times">Vosko</FONT></TD>
+			<TD ALIGN=LEFT><FONT FACE="Times">U</FONT></TD>
+			<TD ALIGN=RIGHT SDVAL="93507" SDNUM="1043;"><FONT FACE="Times">93507</FONT></TD>
+			<TD ALIGN=RIGHT SDVAL="463643" SDNUM="1043;"><FONT FACE="Times">463643</FONT></TD>
+			<TD ALIGN=LEFT><FONT FACE="Times"><BR></FONT></TD>
+			<TD ALIGN=LEFT><FONT FACE="Times"><BR></FONT></TD>
+			<TD ALIGN=LEFT><FONT FACE="Times">Pieterskerk</FONT></TD>
+		</TR>
+		<TR>
 			<TD HEIGHT=23 ALIGN=LEFT><FONT FACE="Times">WEBSS</FONT></TD>
 			<TD ALIGN=LEFT><FONT FACE="Times"><BR></FONT></TD>
@@ -768,13 +777,4 @@
 			<TD ALIGN=LEFT><FONT FACE="Times"><BR></FONT></TD>
 			<TD ALIGN=LEFT><FONT FACE="Times">Webster Univ. studentenhuis, Wittesingel 53</FONT></TD>
-		</TR>
-		<TR>
-			<TD HEIGHT=23 ALIGN=LEFT><FONT FACE="Times">Bizetpad</FONT></TD>
-			<TD ALIGN=LEFT><FONT FACE="Times">U</FONT></TD>
-			<TD ALIGN=RIGHT SDVAL="92047" SDNUM="1043;"><FONT FACE="Times">92047</FONT></TD>
-			<TD ALIGN=RIGHT SDVAL="462278" SDNUM="1043;"><FONT FACE="Times">462278</FONT></TD>
-			<TD ALIGN=LEFT><FONT FACE="Times"><BR></FONT></TD>
-			<TD ALIGN=LEFT><FONT FACE="Times"><BR></FONT></TD>
-			<TD ALIGN=LEFT><FONT FACE="Times">Speciale basisschool de Wissel, Bizetpad 1</FONT></TD>
 		</TR>
 		<TR>