Index: trunk/initial_data.json
===================================================================
--- trunk/initial_data.json	(revision 6424)
+++ trunk/initial_data.json	(revision 6431)
@@ -484,4 +484,374 @@
       "session_data": "gAJ9cQEoVRJfYXV0aF91c2VyX2JhY2tlbmRxAlUpZGphbmdvLmNvbnRyaWIuYXV0aC5iYWNrZW5k\ncy5Nb2RlbEJhY2tlbmRxA1UNX2F1dGhfdXNlcl9pZHEESwF1LmQ2ZjkxZjcxZTMwYmVjYzcyNDk1\nYTk5MjRlNWYxNTJm\n"
     }
-  }
+  },
+ {
+  "pk": 1, 
+  "model": "exodus.antenna", 
+  "fields": {
+   "type": "Omni", 
+   "gain": 6
+  }
+ }, 
+ {
+  "pk": 2, 
+  "model": "exodus.antenna", 
+  "fields": {
+   "type": "SD9", 
+   "gain": 9
+  }
+ }, 
+ {
+  "pk": 3, 
+  "model": "exodus.antenna", 
+  "fields": {
+   "type": "SD15", 
+   "gain": 15
+  }
+ }, 
+ {
+  "pk": 4, 
+  "model": "exodus.antenna", 
+  "fields": {
+   "type": "SD19", 
+   "gain": 19
+  }
+ }, 
+ {
+  "pk": 5, 
+  "model": "exodus.antenna", 
+  "fields": {
+   "type": "2020", 
+   "gain": 20
+  }
+ }, 
+ {
+  "pk": 6, 
+  "model": "exodus.antenna", 
+  "fields": {
+   "type": "4040", 
+   "gain": 20
+  }
+ }, 
+ {
+  "pk": 7, 
+  "model": "exodus.antenna", 
+  "fields": {
+   "type": "8080", 
+   "gain": 80
+  }
+ }, 
+ {
+  "pk": 1, 
+  "model": "exodus.location", 
+  "fields": {
+   "latitude": "54.55", 
+   "description": "Joost kantoor", 
+   "longitude": "33.44"
+  }
+ }, 
+ {
+  "pk": 2, 
+  "model": "exodus.location", 
+  "fields": {
+   "latitude": "46.77", 
+   "description": "Rapenburg", 
+   "longitude": "45.55"
+  }
+ }, 
+ {
+  "pk": 3, 
+  "model": "exodus.location", 
+  "fields": {
+   "latitude": "34.55", 
+   "description": "kerk", 
+   "longitude": "44.55"
+  }
+ }, 
+ {
+  "pk": 1, 
+  "model": "exodus.dnsserver", 
+  "fields": {
+   "ipaddress": "172.17.8.68", 
+   "domainname": "wleiden.net"
+  }
+ }, 
+ {
+  "pk": 2, 
+  "model": "exodus.dnsserver", 
+  "fields": {
+   "ipaddress": "172.17.143.4", 
+   "domainname": "wzoeterwoude.net"
+  }
+ }, 
+ {
+  "pk": 1, 
+  "model": "exodus.network", 
+  "fields": {
+   "netmask": 16, 
+   "name": "wleiden.net", 
+   "ipspacestart": "172.16.0.0"
+  }
+ }, 
+ {
+  "pk": 2, 
+  "model": "exodus.network", 
+  "fields": {
+   "netmask": 16, 
+   "name": "walphen.net", 
+   "ipspacestart": "172.18.0.0"
+  }
+ }, 
+ {
+  "pk": 3, 
+  "model": "exodus.network", 
+  "fields": {
+   "netmask": 16, 
+   "name": "wzoeterwoude.net", 
+   "ipspacestart": "172.27.0.0"
+  }
+ }, 
+ {
+  "pk": 3, 
+  "model": "exodus.node", 
+  "fields": {
+   "status": "up", 
+   "network": 1, 
+   "name": "Cope", 
+   "masterip": "172.16.3.1", 
+   "location": 2
+  }
+ }, 
+ {
+  "pk": 1, 
+  "model": "exodus.node", 
+  "fields": {
+   "status": "up", 
+   "network": 1, 
+   "name": "Rick1", 
+   "masterip": "172.16.0.1", 
+   "location": 1
+  }
+ }, 
+ {
+  "pk": 2, 
+  "model": "exodus.node", 
+  "fields": {
+   "status": "up", 
+   "network": 1, 
+   "name": "Rick2", 
+   "masterip": "172.16.1.1", 
+   "location": 1
+  }
+ }, 
+ {
+  "pk": 4, 
+  "model": "exodus.node", 
+  "fields": {
+   "status": "up", 
+   "network": 3, 
+   "name": "nieuwe Kerk", 
+   "masterip": "172.27.0.1", 
+   "location": 3
+  }
+ }, 
+ {
+  "pk": 1, 
+  "model": "exodus.interface", 
+  "fields": {
+   "node": 1, 
+   "polar": "", 
+   "iface": "eth0", 
+   "ssid": "", 
+   "antenna": null, 
+   "accesspoint": false, 
+   "ip": "172.16.0.6", 
+   "netmask": 30, 
+   "link": 1, 
+   "mode": "", 
+   "shortdesc": "2Rick2", 
+   "type": "eth", 
+   "channel": null, 
+   "desc": "Ethernet naar Rick2"
+  }
+ }, 
+ {
+  "pk": 2, 
+  "model": "exodus.interface", 
+  "fields": {
+   "node": 2, 
+   "polar": "", 
+   "iface": "eth0", 
+   "ssid": "", 
+   "antenna": null, 
+   "accesspoint": false, 
+   "ip": "172.16.0.7", 
+   "netmask": 30, 
+   "link": 1, 
+   "mode": "", 
+   "shortdesc": "2Rick1", 
+   "type": "eth", 
+   "channel": null, 
+   "desc": "Ethernet naar Rick1"
+  }
+ }, 
+ {
+  "pk": 3, 
+  "model": "exodus.interface", 
+  "fields": {
+   "node": 1, 
+   "polar": "hr", 
+   "iface": "wi0", 
+   "ssid": "AP.Rick2.wleiden.net", 
+   "antenna": 3, 
+   "accesspoint": true, 
+   "ip": "172.16.0.2", 
+   "netmask": 32, 
+   "link": 3, 
+   "mode": "ms", 
+   "shortdesc": "11b", 
+   "type": "11b", 
+   "channel": 1, 
+   "desc": "11b"
+  }
+ }, 
+ {
+  "pk": 4, 
+  "model": "exodus.interface", 
+  "fields": {
+   "node": 1, 
+   "polar": "hr", 
+   "iface": "ath0", 
+   "ssid": "ath0.nwKerk.wzoeterwoude.net", 
+   "antenna": 3, 
+   "accesspoint": false, 
+   "ip": "172.27.0.6", 
+   "netmask": 30, 
+   "link": 5, 
+   "mode": "mn", 
+   "shortdesc": "2 nwkerk", 
+   "type": "11a", 
+   "channel": 5, 
+   "desc": "11a naar nieuwe kerk"
+  }
+ }, 
+ {
+  "pk": 5, 
+  "model": "exodus.interface", 
+  "fields": {
+   "node": 4, 
+   "polar": "hr", 
+   "iface": "ath0", 
+   "ssid": "ath0.nwKerk.wzoeterwoude.net", 
+   "antenna": 4, 
+   "accesspoint": false, 
+   "ip": "172.27.0.5", 
+   "netmask": 30, 
+   "link": 5, 
+   "mode": "ms", 
+   "shortdesc": "2 ick1", 
+   "type": "11a", 
+   "channel": 5, 
+   "desc": "11a naar Rick1"
+  }
+ }, 
+ {
+  "pk": 6, 
+  "model": "exodus.interface", 
+  "fields": {
+   "node": 4, 
+   "polar": "hr", 
+   "iface": "wi0", 
+   "ssid": "AP.nieuwekerk.wzoeterwoude.net", 
+   "antenna": 1, 
+   "accesspoint": true, 
+   "ip": "172.27.0.17", 
+   "netmask": 28, 
+   "link": 6, 
+   "mode": "ms", 
+   "shortdesc": "ap nwkerk", 
+   "type": "11b", 
+   "channel": 8, 
+   "desc": "Ap voor de nieuwe kerk"
+  }
+ }, 
+ {
+  "pk": 7, 
+  "model": "exodus.interface", 
+  "fields": {
+   "node": 3, 
+   "polar": "vr", 
+   "iface": "wi0", 
+   "ssid": "wi0.cope.wleiden.net", 
+   "antenna": 3, 
+   "accesspoint": false, 
+   "ip": "172.16.3.9", 
+   "netmask": 29, 
+   "link": 7, 
+   "mode": "ms", 
+   "shortdesc": "2rick1", 
+   "type": "11b", 
+   "channel": 1, 
+   "desc": "wi0 naar nieuwe kerk en rick2"
+  }
+ }, 
+ {
+  "pk": 8, 
+  "model": "exodus.interface", 
+  "fields": {
+   "node": 2, 
+   "polar": "hr", 
+   "iface": "ath0", 
+   "ssid": "wi0.cope.wleiden.net", 
+   "antenna": 3, 
+   "accesspoint": false, 
+   "ip": "172.16.3.10", 
+   "netmask": 29, 
+   "link": 7, 
+   "mode": "mn", 
+   "shortdesc": "2cope", 
+   "type": "11g", 
+   "channel": 1, 
+   "desc": "Link naar Cope"
+  }
+ }, 
+ {
+  "pk": 9, 
+  "model": "exodus.interface", 
+  "fields": {
+   "node": 4, 
+   "polar": "vr", 
+   "iface": "ath1", 
+   "ssid": "wi0.cope.wleiden.net", 
+   "antenna": 5, 
+   "accesspoint": false, 
+   "ip": "172.16.3.11", 
+   "netmask": 29, 
+   "link": 7, 
+   "mode": "mn", 
+   "shortdesc": "2cope", 
+   "type": "11g", 
+   "channel": 1, 
+   "desc": "ath0 naar cope"
+  }
+ }, 
+ {
+  "pk": 10, 
+  "model": "exodus.interface", 
+  "fields": {
+   "node": 3, 
+   "polar": "hr", 
+   "iface": "wi1", 
+   "ssid": "ap.cope.wleiden.net", 
+   "antenna": 5, 
+   "accesspoint": true, 
+   "ip": "172.16.3.17", 
+   "netmask": 28, 
+   "link": 10, 
+   "mode": "ms", 
+   "shortdesc": "omni cope", 
+   "type": "11g", 
+   "channel": 7, 
+   "desc": "omni van cope"
+  }
+ }
 ]