Index: nodes/CNodeUniGorN/wleiden.yaml
===================================================================
--- nodes/CNodeUniGorN/wleiden.yaml	(revision 10074)
+++ nodes/CNodeUniGorN/wleiden.yaml	(revision 10104)
@@ -3,134 +3,121 @@
 #
 comment   : "None"
-ileiden   : True
-interfaces: "ue0,vr2,ath0,vr0,vr1"
-latitude  : "4.45966"
-location  : "Gorleus Lab Universiteit Leiden, Einsteinweg 55, 2333 CC, Leiden"
-longitude : "52.16825"
-masterip  : "172.19.135.1"
-nodename  : "UniGorN"
-nodetype  : "CNode"
+interfaces: ue0,vr2,ath0,vr0,vr1
+latitude  : 0
+location  : 'Gorleus Lab Universiteit Leiden, Einsteinweg 55, 2333 CC, Leiden'
+longitude : 0
+masterip  : 172.19.135.1
+release   : 8.2-RELEASE
+nodename  : UniGorN
+nodetype  : CNode
 rdnap_x   : 91544
 rdnap_y   : 464861
-release   : "8.2-RELEASE"
-status    : "up"
+status    : up
+ileiden   : yes
+iface_ue0:
+  channel    : '140'
+  comment    : 'link naar Kaag2'
+  compass    : 'ne'
+  desc       : 'Link naar kaag2'
+  dhcp       : 'no'
+  extra_type : 'eth2wifibridge'
+  interface  : 'ue0'
+  ip         : '172.16.17.73/29'
+  mode       : 'station-wds'
+  ns_ip      : '172.16.17.74/29'
+  ns_mac     : '00:15:6d:70:54:a5'
+  sdesc      : '2kaag2'
+  ssid       : 'il-no.unigorn.wleiden.net'
+  status     : 'down'
+  type       : 'eth'
 
+iface_vr2:
+  comment    : 'EthernetLink naar UniGor'
+  compass    : 'None'
+  desc       : 'EthernetLink naar UniGor nodes'
+  dhcp       : 'no'
+  interface  : 'vr2'
+  ip         : '172.19.128.67/28'
+  sdesc      : '2unigor'
+  status     : 'up'
+  type       : 'eth'
+
+iface_vr0_alias0:
+  comment    : 'link to Psycho'
+  compass    : 'None'
+  desc       : 'A Link naar Psycho'
+  dhcp       : 'False'
+  interface  : 'vr0:0'
+  ip         : '172.16.16.105/29'
+  sdesc      : '2Psycho'
+  status     : 'up'
+  type       : 'eth'
+
+iface_ue0_alias0:
+  comment    : 'A link Hofwijck'
+  compass    : 'None'
+  desc       : 'A Link naar Hofwijck'
+  dhcp       : 'no'
+  interface  : 'ue0:0'
+  ip         : '172.16.17.233/29'
+  sdesc      : '2hofwijck'
+  status     : 'up'
+  type       : 'eth'
 
 iface_ath0:
-  comment    : "oegstgeest richting N"
-  interface  : "ath0"
-  ip         : "172.19.135.1/26"
-  desc       : "AP Richting NW"
-  sdesc      : "n"
-  mode       : "ap-wds"
-  type       : "11b"
-  channel    : "4"
-  ssid       : "ap-n.unigorn.wleiden.net"
-  dhcp       : "10-60"
-  compass    : "n"
-  status     : "up"
+  channel    : '4'
+  comment    : 'oegstgeest richting N'
+  compass    : 'n'
+  desc       : 'AP Richting NW'
+  dhcp       : '10-60'
+  interface  : 'ath0'
+  ip         : '172.19.135.1/26'
+  mode       : 'ap-wds'
+  sdesc      : 'n'
+  ssid       : 'ap-n.unigorn.wleiden.net'
+  status     : 'up'
+  type       : '11b'
 
-
-iface_ue0:
-  comment    : "link naar Kaag2"
-  interface  : "ue0"
-  ip         : "172.16.17.73/29"
-  desc       : "Link naar kaag2"
-  sdesc      : "2kaag2"
-  mode       : "station-wds"
-  type       : "eth"
-  extra_type : "eth2wifibridge"
-  channel    : "140"
-  ssid       : "il-no.unigorn.wleiden.net"
-  dhcp       : "no"
-  bridge_type: "NanoStation5"
-  compass    : "ne"
-  ns_ip      : "172.16.17.74/29"
-  ns_mac     : "00:15:6d:70:54:a5"
-  status     : "down"
-
-
-iface_ue0_alias0:
-  comment    : "A link Hofwijck"
-  interface  : "ue0:0"
-  ip         : "172.16.17.233/29"
-  desc       : "A Link naar Hofwijck"
-  sdesc      : "2hofwijck"
-  type       : "eth"
-  dhcp       : "no"
-  compass    : "None"
-  status     : "up"
-
+iface_vr1_alias0:
+  comment    : 'link naar LIACS'
+  compass    : 'None'
+  desc       : 'Link naar LIACS'
+  dhcp       : 'no'
+  interface  : 'vr1:0'
+  ip         : '172.16.4.45/30'
+  sdesc      : '2liacs'
+  status     : 'up'
+  type       : 'eth'
 
 iface_vr0:
-  comment    : "link to Aster"
-  interface  : "vr0"
-  ip         : "172.16.17.97/29"
-  desc       : "A Link naar Aster"
-  sdesc      : "2Aster"
-  mode       : "station-wds"
-  type       : "eth"
-  channel    : "104"
-  ssid       : "il-o.unigorn.wleiden.net"
-  dhcp       : "False"
-  bridge_type: "NanoStation5"
-  compass    : "e"
-  ns_ip      : "172.16.17.98/29"
-  ns_mac     : "00:15:6d:ea:f0:64"
-  status     : "up"
-
-
-iface_vr0_alias0:
-  comment    : "link to Psycho"
-  interface  : "vr0:0"
-  ip         : "172.16.16.105/29"
-  desc       : "A Link naar Psycho"
-  sdesc      : "2Psycho"
-  type       : "eth"
-  dhcp       : "False"
-  compass    : "None"
-  status     : "up"
-
+  channel    : '104'
+  comment    : 'link to Aster'
+  compass    : 'e'
+  desc       : 'A Link naar Aster'
+  dhcp       : 'False'
+  interface  : 'vr0'
+  ip         : '172.16.17.97/29'
+  mode       : 'station-wds'
+  ns_ip      : '172.16.17.98/29'
+  ns_mac     : '00:15:6d:ea:f0:64'
+  sdesc      : '2Aster'
+  ssid       : 'il-o.unigorn.wleiden.net'
+  status     : 'up'
+  type       : 'eth'
 
 iface_vr1:
-  comment    : "link naar Rustenborch"
-  interface  : "vr1"
-  ip         : "172.16.17.241/29"
-  desc       : "Link naar Rustenborch"
-  sdesc      : "2rustenborch"
-  mode       : "station-wds"
-  type       : "eth"
-  channel    : "128"
-  ssid       : "il-n.unigorn.wleiden.net"
-  dhcp       : "no"
-  bridge_type: "NanoStation5"
-  compass    : "n"
-  ns_ip      : "172.16.17.242/29"
-  ns_mac     : "00:15:6d:f2:37:fa"
-  status     : "up"
+  channel    : '128'
+  comment    : 'link naar Rustenborch'
+  compass    : 'n'
+  desc       : 'Link naar Rustenborch'
+  dhcp       : 'no'
+  interface  : 'vr1'
+  ip         : '172.16.17.241/29'
+  mode       : 'station-wds'
+  ns_ip      : '172.16.17.242/29'
+  ns_mac     : '00:15:6d:f2:37:fa'
+  sdesc      : '2rustenborch'
+  ssid       : 'il-n.unigorn.wleiden.net'
+  status     : 'up'
+  type       : 'eth'
 
-
-iface_vr1_alias0:
-  comment    : "link naar LIACS"
-  interface  : "vr1:0"
-  ip         : "172.16.4.45/30"
-  desc       : "Link naar LIACS"
-  sdesc      : "2liacs"
-  type       : "eth"
-  dhcp       : "no"
-  compass    : "None"
-  status     : "up"
-
-
-iface_vr2:
-  comment    : "EthernetLink naar UniGor"
-  interface  : "vr2"
-  ip         : "172.19.128.67/28"
-  desc       : "EthernetLink naar UniGor nodes"
-  sdesc      : "2unigor"
-  type       : "eth"
-  dhcp       : "no"
-  compass    : "None"
-  status     : "up"
-
-