Index: nodes/CNodeLMstruykverwo1/wleiden.yaml
===================================================================
--- nodes/CNodeLMstruykverwo1/wleiden.yaml	(revision 10104)
+++ nodes/CNodeLMstruykverwo1/wleiden.yaml	(revision 10116)
@@ -3,78 +3,85 @@
 #
 comment   : "None"
-interfaces: sis0,wi0,sis1,wi2,wi1
-latitude  : 0
-location  : 'Struyk Verwo Infra, Westerdijk 18-B, 2452 VA, Leimuiden'
-longitude : 0
-masterip  : 172.25.70.1
-release   : 7.2-RELEASE
-nodename  : LMstruykverwo1
-nodetype  : CNode
+ileiden   : False
+interfaces: "sis0,wi0,sis1,wi2,wi1"
+latitude  : "4.64772"
+location  : "Struyk Verwo Infra, Westerdijk 18-B, 2452 VA, Leimuiden"
+longitude : "52.21469"
+masterip  : "172.25.70.1"
+nodename  : "LMstruykverwo1"
+nodetype  : "CNode"
 rdnap_x   : 104462
 rdnap_y   : 469879
-status    : dw
-ileiden   : no
+release   : "7.2-RELEASE"
+status    : "dw"
+
+
 iface_sis0:
-  comment    : 'ethernet'
-  compass    : 'None'
-  desc       : 'Ethernet poort Stuykverwo1'
-  dhcp       : 'no'
-  interface  : 'sis0'
-  ip         : '172.25.70.65/29'
-  sdesc      : 'eth'
-  status     : 'up'
-  type       : 'eth'
+  comment    : "ethernet"
+  interface  : "sis0"
+  ip         : "172.25.70.65/29"
+  desc       : "Ethernet poort Stuykverwo1"
+  sdesc      : "eth"
+  type       : "eth"
+  dhcp       : "no"
+  compass    : "None"
+  status     : "up"
+
+
+iface_sis1:
+  comment    : "ethernet"
+  interface  : "sis1"
+  ip         : "172.16.1.181/30"
+  desc       : "Ethernet naar Struykverwo2"
+  sdesc      : "2lmstruykverwo2"
+  type       : "eth"
+  dhcp       : "no"
+  compass    : "None"
+  status     : "up"
+
 
 iface_wi0:
-  channel    : '1'
-  comment    : 'link Rijnsaterwoude Gem Huis, (was hoofdorp)'
-  compass    : 'nw'
-  desc       : 'Link naar rwgemhuis'
-  dhcp       : 'no'
-  interface  : 'wi0'
-  ip         : '172.16.1.54/30'
-  mode       : 'station-wds'
-  sdesc      : '2rwgemhuis2'
-  ssid       : 'il-nw.rwgemhuis.wleiden.net'
-  status     : 'up'
-  type       : '11b'
+  comment    : "link Rijnsaterwoude Gem Huis, (was hoofdorp)"
+  interface  : "wi0"
+  ip         : "172.16.1.54/30"
+  desc       : "Link naar rwgemhuis"
+  sdesc      : "2rwgemhuis2"
+  mode       : "station-wds"
+  type       : "11b"
+  channel    : "1"
+  ssid       : "il-nw.rwgemhuis.wleiden.net"
+  dhcp       : "no"
+  compass    : "nw"
+  status     : "up"
 
-iface_sis1:
-  comment    : 'ethernet'
-  compass    : 'None'
-  desc       : 'Ethernet naar Struykverwo2'
-  dhcp       : 'no'
-  interface  : 'sis1'
-  ip         : '172.16.1.181/30'
-  sdesc      : '2lmstruykverwo2'
-  status     : 'up'
-  type       : 'eth'
+
+iface_wi1:
+  comment    : "OMNI voor de buurt ap.lmstruykverwo.wleiden.net"
+  interface  : "wi1"
+  ip         : "172.25.70.1/26"
+  desc       : "AP voor de buurt"
+  sdesc      : "ap"
+  mode       : "ap-wds"
+  type       : "11b"
+  channel    : "9"
+  ssid       : "ap.lmstruykverwo.wleiden.net"
+  dhcp       : "10-60"
+  compass    : "None"
+  status     : "up"
+
 
 iface_wi2:
-  channel    : '13'
-  comment    : 'Inter link hoogmade - struyk Verwo'
-  compass    : 'ne'
-  desc       : 'Link naar HMkerk1'
-  dhcp       : 'no'
-  interface  : 'wi2'
-  ip         : '172.16.1.186/30'
-  mode       : 'station-wds'
-  sdesc      : '2hmkerk2'
-  ssid       : 'il-no.hmkerk.wleiden.net'
-  status     : 'up'
-  type       : '11b'
+  comment    : "Inter link hoogmade - struyk Verwo"
+  interface  : "wi2"
+  ip         : "172.16.1.186/30"
+  desc       : "Link naar HMkerk1"
+  sdesc      : "2hmkerk2"
+  mode       : "station-wds"
+  type       : "11b"
+  channel    : "13"
+  ssid       : "il-no.hmkerk.wleiden.net"
+  dhcp       : "no"
+  compass    : "ne"
+  status     : "up"
 
-iface_wi1:
-  channel    : '9'
-  comment    : 'OMNI voor de buurt ap.lmstruykverwo.wleiden.net'
-  compass    : 'None'
-  desc       : 'AP voor de buurt'
-  dhcp       : '10-60'
-  interface  : 'wi1'
-  ip         : '172.25.70.1/26'
-  mode       : 'ap-wds'
-  sdesc      : 'ap'
-  ssid       : 'ap.lmstruykverwo.wleiden.net'
-  status     : 'up'
-  type       : '11b'
 